NullAllocator< T > Class Template Reference

NULL allocator. More...

Inheritance diagram for NullAllocator< T >:

## Public Types

typedef AllocatorBase< T >::value_type | value_type
typedef AllocatorBase< T >::size_type | size_type
typedef AllocatorBase< T >::difference_type | difference_type
typedef AllocatorBase< T >::pointer | pointer
typedef AllocatorBase< T >::const_pointer | const_pointer
typedef AllocatorBase< T >::reference | reference
typedef AllocatorBase< T >::const_reference | const_reference
Public Types inherited from AllocatorBase< T >
typedef T | value_type
typedef size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef T * | pointer
typedef T & | reference

## Public Member Functions

pointer | allocate (size_type n, const void *unused=NULL)
void | deallocate (void *p, size_type n)
size_type | max_size () const
Public Member Functions inherited from AllocatorBase< T >
pointer | address (reference r) const
const_pointer | address (const_reference r) const
void | construct (pointer p, const T &val)
void | destroy (pointer p)
size_type | max_size () const
| Returns the maximum number of elements the allocator can provide. More...
template<typename U , typename... Args>
void | construct (U *ptr, Args &&... args)
| Constructs a new U using variadic arguments. More...
template<typename U >
void | destroy (U *ptr)
| Destroys an U constructed with variadic arguments. More...

## Additional Inherited Members

Public Attributes inherited from AllocatorBase< T >
const typedef T * | const_pointer
const typedef T & | const_reference

## Detailed Description

### template<class T>
class NullAllocator< T >

NULL allocator.

Template Parameters

  T | class or type

A NullAllocator is useful for fixed-size, stack based allocations (i.e., static arrays used by FixedSizeAllocatorWithCleanup).

A NullAllocator always returns 0 for max_size(), and always returns NULL for allocation requests. Though the allocator does not allocate at runtime, it does perform a secure wipe or zeroization during cleanup.

Definition at line 263 of file secblock.h.

The documentation for this class was generated from the following file:

- secblock.h